---
title: Supported Layers
short_title: Layers
description: Supported neural network layers.
category: Models
weight: 3
---

## What are layers?

Each layer in a neural network configuration represents a unit of hidden units. When layers are stacked together, they represent a *deep neural network*.

## Using layers

All layers available in Eclipse Deeplearning4j can be used either in a `MultiLayerNetwork` or `ComputationGraph`. When configuring a neural network, you pass the layer configuration and the network will instantiate the layer for you.

## Layers vs. vertices

If you are configuring complex networks such as InceptionV4, you will need to use the `ComputationGraph` API and join different branches together using vertices. Check the vertices for more information.

## General layers

{{autogenerated}}